{% extends 'base.html' %}
{% block content %}
<div class='container' style="margin-top:20px">
    <h2>Batches</h2>
    <p>Batches are groups of pages against which text analysis can be made.</p>
      {% if batches.exists %}
      <div class="row">
        {% for batch in batches %}
        <div class="col-4 py-3"> 
                <div class="card mb-3" style="max-width: 20rem;">
                <div class="card-header">{{ batch.name }}</div>
                    <div class="card-body">
                        <p class="card-title">{{batch.pages.count}} Pages</p>
                        <p class="card-title"><i>Created by {{ batch.creator }}</i></p>
                        <hr/>
                        <p class="card-text">
                            <a href='/batches/{{batch.pk}}' class=' mr-2 btn btn-success btn-sm'><i class="fas fa-search mr-1"></i>View</a>
                            <hr/>
                            <a href='/export_batch/{{batch.pk}}' class=' mr-2 mb-2 btn btn-primary  btn-sm'><i class="fas fa-download mr-1"></i>Export text</a>
                            <a href='/export_batch_en/{{batch.pk}}' class=' mr-2 mb-2 btn btn-primary  btn-sm'><i class="fas fa-download mr-1"></i>Export translated text</a>
                            <a href='/export_batch_entities/{{batch.pk}}' class=' mr-2  mb-2 btn btn-primary btn-sm'><i class="fas fa-download mr-1"></i>Export entities</a>
                        </p>
                    </div>
                </div>
            </div>
        {% endfor %}
            </div>
        {% endif %}
    <hr/>
<!--     <div class='lead'>Create a new batch</div>
    {% load crispy_forms_tags %}
    {% crispy batch_form batch_form.helper %} -->
</div>
    {% endblock %}